<div class="container">
    <div class="row">
      <div class="col-lg-8 mx-auto">
        <div class="card card-signin my-3">
          <div class="card-body">
            <h2>Registro como Paciente</h2>
            <hr class="my-3">
            <form [formGroup]="registerForm" (ngSubmit)="onSubmit()" novalidate>
              <div class="form-group">
                <label>Nombre de usuario</label>
                <input type="text" class="form-control" formControlName="usuario" placeholder="Nombre de usuario" required>  
                <div *ngIf="getControl.usuario.touched && getControl.usuario.invalid" class="text-danger">
                  <div *ngIf="getControl.usuario?.errors?.required">Debes indicar el Nombre de Usuario.</div>
                </div>
              </div>
              
              <div class="row">

                <div class="col">
                  <div class="form-group">
                    <label>Clave</label>
                    <input type="password"  class="form-control" formControlName="clave" placeholder="Clave" required> 
                    <div *ngIf="getControl.clave.touched && getControl.clave.invalid" class="text-danger">
                      <div *ngIf="getControl.clave?.errors?.required">Debes indicar la clave.</div>
                    </div>             
                  </div>
                </div>

                <div class="col">
                  <div class="form-group">
                    <label>Repite la clave</label>
                    <input type="password"  class="form-control" formControlName="clave2" placeholder="Repite la clave" required> 
                    <div *ngIf="getControl.clave2.touched && getControl.clave2.invalid" class="text-danger">
                      <div *ngIf="getControl.clave2?.errors?.required">Debes indicar la clave2.</div>
                    </div>             
                  </div>
                </div>

              </div>
              

              <div class="row">

                <div class="col">
                  <div class="form-group">
                    <label>Nombre</label>
                    <input type="text" class="form-control" formControlName="nombre" placeholder="Nombre" required>              
                    <div *ngIf="getControl.nombre.touched && getControl.nombre.invalid" class="text-danger">
                      <div *ngIf="getControl.nombre?.errors?.required">Debes indicar tu nombre.</div>
                    </div> 
                  </div>
                </div>

                <div class="col">
                  <div class="form-group">
                    <label>Apellidos</label>
                    <input type="text" class="form-control" formControlName="apellidos" placeholder="Apellidos" required>
                    <div *ngIf="getControl.apellidos.touched && getControl.apellidos.invalid" class="text-danger">
                      <div *ngIf="getControl.apellidos?.errors?.required">Debes indicar tus apellidos.</div>
                    </div> 
                  </div>
                </div>
              </div>
              


              <div class="row">
                <div class="col">
                  <div class="form-group">
                  <label>NSS</label>
                  <input type="text" formControlName="nss" class="form-control" placeholder="NSS" required>              
                  </div>
                </div>
                <div class="col">
                  <div class="form-group">
                  <label>Número de Tarjeta</label>
                  <input type="text" formControlName="numTarjeta" class="form-control" placeholder="Número de Tarjeta" required>
                </div>
              </div>
              </div>

              <div class="row">
                <div class="col">
                  <div class="form-group">
                  <label>Teléfono de Contacto</label>
                  <input type="text" formControlName="telefono" class="form-control" placeholder="Teléfono de Contacto" required>              
                  </div>
              </div>
                <div class="col">
                  <div class="form-group">
                    <label>Dirección</label>
                    <input type="text" formControlName="direccion" class="form-control" placeholder="Dirección" required>
                  </div>
                </div>
              </div>



              <div class="row">
                <span style="display:inline-block; width: 1px;"></span>
                <button class="btn btn-dark">Registrarme</button>
                <button type="button" class="btn btn-outline-secondary" routerLink="">Volver al inicio</button>
                <span style="display:inline-block; width: 1px;"></span>
              </div>
            </form>

          </div>
        </div>
      </div>
    </div>
  </div>
